<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetUserResult StructType
 * @subpackage Structs
 */
class GetUserResult extends ExecutionResult
{
    /**
     * The TxConnectDispatcherId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $TxConnectDispatcherId;
    /**
     * The MyTransicsUserId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $MyTransicsUserId;
    /**
     * Constructor method for GetUserResult
     * @uses GetUserResult::setTxConnectDispatcherId()
     * @uses GetUserResult::setMyTransicsUserId()
     * @param int $txConnectDispatcherId
     * @param string $myTransicsUserId
     */
    public function __construct($txConnectDispatcherId = null, $myTransicsUserId = null)
    {
        $this
            ->setTxConnectDispatcherId($txConnectDispatcherId)
            ->setMyTransicsUserId($myTransicsUserId);
    }
    /**
     * Get TxConnectDispatcherId value
     * @return int
     */
    public function getTxConnectDispatcherId()
    {
        return $this->TxConnectDispatcherId;
    }
    /**
     * Set TxConnectDispatcherId value
     * @param int $txConnectDispatcherId
     * @return \StructType\GetUserResult
     */
    public function setTxConnectDispatcherId($txConnectDispatcherId = null)
    {
        // validation for constraint: int
        if (!is_null($txConnectDispatcherId) && !(is_int($txConnectDispatcherId) || ctype_digit($txConnectDispatcherId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($txConnectDispatcherId, true), gettype($txConnectDispatcherId)), __LINE__);
        }
        $this->TxConnectDispatcherId = $txConnectDispatcherId;
        return $this;
    }
    /**
     * Get MyTransicsUserId value
     * @return string|null
     */
    public function getMyTransicsUserId()
    {
        return $this->MyTransicsUserId;
    }
    /**
     * Set MyTransicsUserId value
     * @param string $myTransicsUserId
     * @return \StructType\GetUserResult
     */
    public function setMyTransicsUserId($myTransicsUserId = null)
    {
        // validation for constraint: string
        if (!is_null($myTransicsUserId) && !is_string($myTransicsUserId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($myTransicsUserId, true), gettype($myTransicsUserId)), __LINE__);
        }
        $this->MyTransicsUserId = $myTransicsUserId;
        return $this;
    }
}
